# MatSetLocalToGlobalMapping

Sets a local-to-global numbering for use by the routine MatSetValuesLocal() to allow users to insert matrix entries using a local (per-processor) numbering.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSetLocalToGlobalMapping(Mat x,ISLocalToGlobalMapping mapping)

Not Collective

### Input Parameters

| x | - the matrix
| mapping | - mapping created with ISLocalToGlobalMappingCreate() or ISLocalToGlobalMappingCreateIS()

### See Also

MatAssemblyBegin(), MatAssemblyEnd(), MatSetValues(), MatSetValuesLocal()

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5f.F.html
src/snes/examples/tutorials/ex5f90.F.html